LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XEmbeddedObject Interface Referencepublished

represents common functionality for embedded objects. More...

`import"XEmbeddedObject.idl";`

Inheritance diagram for XEmbeddedObject:

## Exported Interfaces
interface | XVisualObject
| represents common visualization functionality for embedded objects. More...
interface | XClassifiedObject
| allows to detect class ID of the object. More...
interface | XComponentSupplier
| allows to get access to the component handled by the object. More...
interface | XStateChangeBroadcaster
| allows to be notified when object changes the state. More...
interface | ::com::sun::star::document::XEventBroadcaster
| allows to be notified about object related events. More...
interface | ::com::sun::star::util::XCloseable
| allows to control lifetime of the object. More...

## Public Member Functions
void | changeState ([in] long nNewState) raises ( ::com::sun::star::embed::UnreachableStateException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| changes the state of the object to the requested one. More...
sequence< long > | getReachableStates () raises ( ::com::sun::star::embed::NeedsRunningStateException, ::com::sun::star::embed::WrongStateException )
| returns supported states for the object. More...
long | getCurrentState () raises ( ::com::sun::star::embed::WrongStateException )
| returns the current state of the object. More...
void | doVerb ([in] long nVerbID) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::embed::UnreachableStateException, ::com::sun::star::uno::Exception )
| lets object perform an action referenced by nVerbID. More...
sequence< VerbDescriptor > | getSupportedVerbs () raises ( ::com::sun::star::embed::NeedsRunningStateException, ::com::sun::star::embed::WrongStateException )
| returns supported verbs for the object. More...
void | setClientSite ([in] XEmbeddedClient xClient) raises ( ::com::sun::star::embed::WrongStateException )
| sets a connection to the container's client. More...
XEmbeddedClient | getClientSite () raises ( ::com::sun::star::embed::WrongStateException )
| provides access to the internal link to the container client. More...
void | update () raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| updates object's representations. More...
void | setUpdateMode ([in] long nMode) raises ( ::com::sun::star::embed::WrongStateException )
| specifies how often the object's representation should be updated. More...
hyper | getStatus ([in] hyper nAspect) raises ( ::com::sun::star::embed::WrongStateException )
| retrieves the status of the object. More...
void | setContainerName ([in] string sName)
| provides object with the name of container document. More...
Public Member Functions inherited from XVisualObject
void | setVisualAreaSize ([in] hyper nAspect, [in] ::com::sun::star::awt::Size aSize) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| sets the size of object's visual area. More...
::com::sun::star::awt::Size | getVisualAreaSize ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| gets the size of object's visual area. More...
VisualRepresentation | getPreferredVisualRepresentation ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| retrieves visual representation of the object in preferable format. More...
long | getMapUnit ([in] hyper nAspect) raises ( ::com::sun::star::uno::Exception )
| retrieves map mode the object communicates in. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XClassifiedObject
sequence< byte > | getClassID ()
| retrieves class ID of the object. More...
string | getClassName ()
| retrieves symbolic name for the object type to be used in UI. More...
void | setClassInfo ([in] sequence< byte > aClassID, [in] string sClassName) raises ( ::com::sun::star::lang::NoSupportException )
| sets the class ID and symbolic name to an object. More...
Public Member Functions inherited from XComponentSupplier
::com::sun::star::util::XCloseable | getComponent ()
| allows to get access to a component. More...
Public Member Functions inherited from XStateChangeBroadcaster
void | addStateChangeListener ([in] com::sun::star::embed::XStateChangeListener xListener)
| adds the specified listener to receive events about states change More...
void | removeStateChangeListener ([in] com::sun::star::embed::XStateChangeListener xListener)
| removes the specified listener More...
Public Member Functions inherited from XEventBroadcaster
void | addEventListener ([in] XEventListener Listener)
| registers the given listener More...
void | removeEventListener ([in] XEventListener Listener)
| unregisters the given listener More...
Public Member Functions inherited from XCloseable
void | close ([in] boolean DeliverOwnership) raises ( CloseVetoException )
| try to close the object More...
Public Member Functions inherited from XCloseBroadcaster
void | addCloseListener ([in] XCloseListener Listener)
| adds the specified listener to receive or have a veto for "close" events More...
void | removeCloseListener ([in] XCloseListener Listener)
| removes the specified listener More...

## Detailed Description

represents common functionality for embedded objects.

## Exported Interfaces

## ◆ ::com::sun::star::document::XEventBroadcaster

interface ::com::sun::star::document::XEventBroadcaster

allows to be notified about object related events.

## ◆ ::com::sun::star::util::XCloseable

interface ::com::sun::star::util::XCloseable

allows to control lifetime of the object.

## ◆ XClassifiedObject

interface XClassifiedObject

allows to detect class ID of the object.

## ◆ XComponentSupplier

interface XComponentSupplier

allows to get access to the component handled by the object.

## ◆ XStateChangeBroadcaster

interface XStateChangeBroadcaster

allows to be notified when object changes the state.

## ◆ XVisualObject

interface XVisualObject

represents common visualization functionality for embedded objects.

## Member Function Documentation

## ◆ changeState()

void changeState | ( | [in] long | nNewState | ) |
raises | ( | ::com::sun::star::embed::UnreachableStateException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

changes the state of the object to the requested one.

Parameters

  nNewState | specifies the new state, can take values from the constant set com::sun::star::embed::EmbedStates

Exceptions

  com::sun::star::embed::UnreachableStateException | the specified state can not be reached
  com::sun::star::embed::WrongStateException | in case object is in invalid state
  com::sun::star::uno::Exception | in case of other problems

## ◆ doVerb()

void doVerb | ( | [in] long | nVerbID | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::embed::UnreachableStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

lets object perform an action referenced by nVerbID.

Parameters

  nVerbID | specifies an action to perform, can take values from EmbedVerbs

Exceptions

  com::sun::star::lang::IllegalArgumentException | the verb is not supported
  com::sun::star::embed::WrongStateException | the object is in wrong state to call the function
  com::sun::star::embed::UnreachableStateException | the state, required by the verb, can not be reached
  com::sun::star::uno::Exception | in case of other problems

## ◆ getClientSite()

XEmbeddedClient getClientSite | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

provides access to the internal link to the container client.

Returns
  a reference to related container client if any is set

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state

## ◆ getCurrentState()

long getCurrentState | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

returns the current state of the object.

Returns
  the current state of the object

Exceptions

  com::sun::star::embed::WrongStateException | in case object is in invalid state

## ◆ getReachableStates()

sequence< long > getReachableStates | ( |  | ) |
raises | ( | ::com::sun::star::embed::NeedsRunningStateException,
|  | ::com::sun::star::embed::WrongStateException
| ) |  |

returns supported states for the object.

Returns
  the sequence of states the object can be set to

Exceptions

  com::sun::star::embed::NeedsRunningStateException | means that the object is in loaded state now and can be switched to running state, other possible states can be detected only when the object is not in loaded state any more
  com::sun::star::embed::WrongStateException | in case object is in invalid state

## ◆ getStatus()

hyper getStatus | ( | [in] hyper | nAspect | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

retrieves the status of the object.

Parameters

  nAspect | the aspect specifying the form of object representation

Returns
  the value specifying the status of the object for specified aspect can take values from EmbedMisc constant set

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state

## ◆ getSupportedVerbs()

sequence< VerbDescriptor > getSupportedVerbs | ( |  | ) |
raises | ( | ::com::sun::star::embed::NeedsRunningStateException,
|  | ::com::sun::star::embed::WrongStateException
| ) |  |

returns supported verbs for the object.

Returns
  the sequence of verbs the object supports

Exceptions

  com::sun::star::embed::NeedsRunningStateException | means that the object is in loaded state now and can be switched to running state, acceptable verbs can be detected only when the object is not in loaded state any more
  com::sun::star::embed::WrongStateException | the object is in wrong state to call the function

## ◆ setClientSite()

void setClientSite | ( | [in] XEmbeddedClient | xClient | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

sets a connection to the container's client.

Parameters

  xClient | provides a reference to a client implementation

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state

## ◆ setContainerName()

void setContainerName | ( | [in] string | sName | ) |

provides object with the name of container document.

Parameters

  sName | name of the container document

## ◆ setUpdateMode()

void setUpdateMode | ( | [in] long | nMode | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

specifies how often the object's representation should be updated.

Parameters

  nMode | the new update mode, can take values from EmbeddedUpdateModes

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state

## ◆ update()

void update | ( |  | ) |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

updates object's representations.

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state to call the function
  com::sun::star::uno::Exception | in case problems detected

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbeddedObject.idl